return {
	"nvim-treesitter/nvim-treesitter",
	event = { "BufReadPre", "BufNewFile" },
	build = ":TSUpdate",
	dependencies = {
		"windwp/nvim-ts-autotag",
	},
	config = function()
		local treesitter = require("nvim-treesitter.configs")

		treesitter.setup({
			highlight = {
				enable = true,
				additional_vim_regex_highlighting = false,
			},
			indent = { enable = true },
			autotag = { enable = true },
			modules = {},
			auto_install = false,
			ignore_install = {},
			sync_install = false,
			ensure_installed = {
				"asm",
				"bash",
				"c",
				"c_sharp",
				"cmake",
				"cpp",
				"css",
				"csv",
				"diff",
				"dockerfile",
				"elixir",
				"git_config",
				"gitattributes",
				"gitcommit",
				"gitignore",
				"go",
				"gomod",
				"graphql",
				"html",
				"http",
				"ini",
				"java",
				"javascript",
				"json",
				"json5",
				"latex",
				"liquidsoap",
				"lua",
				"m68k",
				"make",
				"markdown",
				"markdown_inline",
				"meson",
				"nasm",
				"nginx",
				"php",
				"python",
				"regex",
				"ruby",
				"rust",
				"scss",
				"sql",
				"ssh_config",
				"tmux",
				"toml",
				"tsx",
				"typescript",
				"vim",
				"vue",
				"xml",
				"yaml",
				"zig",
			},
			incremental_selection = {
				enable = true,
				keymaps = {
					init_selection = "<C-space>",
					node_incremental = "<C-space>",
					scope_incremental = false,
					node_decremental = "<bs>",
				},
			},
			rainbow = {
				enable = true,
				disable = { "html" },
				extended_mode = false,
				max_file_lines = nil,
			},
			context_commentstring = {
				enable = true,
				enable_autocmd = false,
			},
		})
	end,
}
